Name:		pidgin-latex
Version:	1.3
Release:	2%{?dist}
Summary:	Use LaTeX formulas in your pidgin conversations 
Group:		Applications/Internet
License:	GPLv2+
URL:		http://sourceforge.net/projects/pidgin-latex
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pidgin-devel
Requires:	dvipng
Requires:	tex(latex)
Requires:	pidgin

%description
The plugin looks for $$latex math$$ patterns, and replaces them by the rendered
latex output by way of latex and imagemagick. The graphics is only displayed
locally, so your conversation partner will have to use the plugin, too 
(With MSN, this constraint might not hold). This plugin is compatible with the 
similar kopete latex plugin, as it uses the $$ as delimiters, too.

%prep
%setup -q -n %{name}

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make LIB_INSTALL_DIR=%{buildroot}%{_libdir}/pidgin install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README TODO
%{_libdir}/pidgin/*.so

%changelog
* Thu Apr 09 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.3-2
- Some minor aesthetical cleanups that came up with review.

* Wed Mar 25 2009 Jussi Lehtola <jussi.lehtola@iki.fi> - 1.3-1
- First release.
